%define upstream_name    Apache-Session-Browseable
%define upstream_version 1.3.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Store persistent data in a Cassandra database
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Apache::Session)
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBI)
BuildRequires: perl(JSON)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
Apache::Session::browseable provides some class methods to manipulate all
sessions and add the capability to index some fields to make research
faster.

It has been written to increase performances of LemonLDAP::NG. Read the
chosen module documentation carefully to set the indexes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc COPYRIGHT Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Nov 10 2024 wally <wally> 1.3.13-1.mga10
+ Revision: 2113436
- imported package perl-Apache-Session-Browseable


* Sun Nov 10 2024 cpan2dist 1.3.13-1mga
- initial mageia release, generated with cpan2dist
